[arch-commits] Commit in glib2/repos (10 files)
Jan Steffens
heftig at archlinux.org
Wed Sep 23 21:26:44 UTC 2015
Date: Wednesday, September 23, 2015 @ 23:26:44
Author: heftig
Revision: 247177
archrelease: copy trunk to gnome-unstable-i686, gnome-unstable-x86_64
Added:
glib2/repos/gnome-unstable-i686/0001-Revert-list-store-Fix-a-parameter-check.patch
(from rev 247176, glib2/trunk/0001-Revert-list-store-Fix-a-parameter-check.patch)
glib2/repos/gnome-unstable-i686/PKGBUILD
(from rev 247176, glib2/trunk/PKGBUILD)
glib2/repos/gnome-unstable-i686/revert-warn-glib-compile-schemas.patch
(from rev 247176, glib2/trunk/revert-warn-glib-compile-schemas.patch)
glib2/repos/gnome-unstable-x86_64/0001-Revert-list-store-Fix-a-parameter-check.patch
(from rev 247176, glib2/trunk/0001-Revert-list-store-Fix-a-parameter-check.patch)
glib2/repos/gnome-unstable-x86_64/PKGBUILD
(from rev 247176, glib2/trunk/PKGBUILD)
glib2/repos/gnome-unstable-x86_64/revert-warn-glib-compile-schemas.patch
(from rev 247176, glib2/trunk/revert-warn-glib-compile-schemas.patch)
Deleted:
glib2/repos/gnome-unstable-i686/PKGBUILD
glib2/repos/gnome-unstable-i686/revert-warn-glib-compile-schemas.patch
glib2/repos/gnome-unstable-x86_64/PKGBUILD
glib2/repos/gnome-unstable-x86_64/revert-warn-glib-compile-schemas.patch
--------------------------------------------------------------------------+
/PKGBUILD | 140 ++++++++++
/revert-warn-glib-compile-schemas.patch | 66 ++++
gnome-unstable-i686/0001-Revert-list-store-Fix-a-parameter-check.patch | 74 +++++
gnome-unstable-i686/PKGBUILD | 67 ----
gnome-unstable-i686/revert-warn-glib-compile-schemas.patch | 33 --
gnome-unstable-x86_64/0001-Revert-list-store-Fix-a-parameter-check.patch | 74 +++++
gnome-unstable-x86_64/PKGBUILD | 67 ----
gnome-unstable-x86_64/revert-warn-glib-compile-schemas.patch | 33 --
8 files changed, 354 insertions(+), 200 deletions(-)
Copied: glib2/repos/gnome-unstable-i686/0001-Revert-list-store-Fix-a-parameter-check.patch (from rev 247176, glib2/trunk/0001-Revert-list-store-Fix-a-parameter-check.patch)
===================================================================
--- gnome-unstable-i686/0001-Revert-list-store-Fix-a-parameter-check.patch (rev 0)
+++ gnome-unstable-i686/0001-Revert-list-store-Fix-a-parameter-check.patch 2015-09-23 21:26:44 UTC (rev 247177)
@@ -0,0 +1,74 @@
+From 19a560f9491c4964e7093e22cb3876fc53a442e6 Mon Sep 17 00:00:00 2001
+From: "Jan Alexander Steffens (heftig)" <jan.steffens at gmail.com>
+Date: Wed, 23 Sep 2015 23:16:04 +0200
+Subject: [PATCH] Revert "list store: Fix a parameter check"
+
+This reverts commit d28639507db2029b8f184a5d93e9d8c28acc1955.
+
+Bogus commit changing the behavior of g_sequence_search in violation
+of the documentation. Breaks GStreamer test suite.
+---
+ glib/gsequence.c | 18 +++++++-----------
+ 1 file changed, 7 insertions(+), 11 deletions(-)
+
+diff --git a/glib/gsequence.c b/glib/gsequence.c
+index 75c1f76..76e24e7 100644
+--- a/glib/gsequence.c
++++ b/glib/gsequence.c
+@@ -139,8 +139,7 @@ static GSequenceNode *node_find_closest (GSequenceNode *haystack,
+ GSequenceNode *needle,
+ GSequenceNode *end,
+ GSequenceIterCompareFunc cmp,
+- gpointer user_data,
+- gboolean return_match);
++ gpointer user_data);
+ static gint node_get_length (GSequenceNode *node);
+ static void node_free (GSequenceNode *node,
+ GSequence *seq);
+@@ -1080,7 +1079,7 @@ g_sequence_search_iter (GSequence *seq,
+ dummy = g_sequence_append (tmp_seq, data);
+
+ node = node_find_closest (seq->end_node, dummy,
+- seq->end_node, iter_cmp, cmp_data, TRUE);
++ seq->end_node, iter_cmp, cmp_data);
+
+ g_sequence_free (tmp_seq);
+
+@@ -1734,8 +1733,7 @@ node_find_closest (GSequenceNode *haystack,
+ GSequenceNode *needle,
+ GSequenceNode *end,
+ GSequenceIterCompareFunc iter_cmp,
+- gpointer cmp_data,
+- gboolean return_match)
++ gpointer cmp_data)
+ {
+ GSequenceNode *best;
+ gint c;
+@@ -1765,12 +1763,10 @@ node_find_closest (GSequenceNode *haystack,
+ }
+ while (haystack != NULL);
+
+- /* If the best node is smaller than the data, then move one step
+- * to the right to make sure the best one is strictly bigger than the data.
+- * We do return the last exact match or the node after it, depending on
+- * the return_match argument.
++ /* If the best node is smaller or equal to the data, then move one step
++ * to the right to make sure the best one is strictly bigger than the data
+ */
+- if (best != end && (c < 0 || (c == 0 && !return_match)))
++ if (best != end && c <= 0)
+ best = node_get_next (best);
+
+ return best;
+@@ -1992,7 +1988,7 @@ node_insert_sorted (GSequenceNode *node,
+ {
+ GSequenceNode *closest;
+
+- closest = node_find_closest (node, new, end, iter_cmp, cmp_data, FALSE);
++ closest = node_find_closest (node, new, end, iter_cmp, cmp_data);
+
+ node_unlink (new);
+
+--
+2.5.3
+
Deleted: gnome-unstable-i686/PKGBUILD
===================================================================
--- gnome-unstable-i686/PKGBUILD 2015-09-23 21:24:04 UTC (rev 247176)
+++ gnome-unstable-i686/PKGBUILD 2015-09-23 21:26:44 UTC (rev 247177)
@@ -1,67 +0,0 @@
-# $Id$
-# Maintainer: Jan de Groot <jgc at archlinux.org>
-
-pkgbase=glib2
-pkgname=(glib2 glib2-docs)
-pkgver=2.46.0
-pkgrel=1
-pkgdesc="Common C routines used by GTK+ and other libs"
-url="http://www.gtk.org/"
-arch=(i686 x86_64)
-makedepends=('pkg-config' 'python2' 'libxslt' 'docbook-xml' 'pcre' 'libffi' 'elfutils')
-source=(http://ftp.gnome.org/pub/GNOME/sources/glib/${pkgver:0:4}/glib-$pkgver.tar.xz
- revert-warn-glib-compile-schemas.patch)
-sha256sums=('b1cee83469ae7d80f17c267c37f090414e93960bd62d2b254a5a96fbc5baacb4'
- '049240975cd2f1c88fbe7deb28af14d4ec7d2640495f7ca8980d873bb710cc97')
-
-prepare() {
- cd glib-$pkgver
- patch -Rp1 -i ../revert-warn-glib-compile-schemas.patch
-}
-
-build() {
- cd glib-$pkgver
- PYTHON=/usr/bin/python2 ./configure --prefix=/usr --libdir=/usr/lib \
- --sysconfdir=/etc \
- --with-pcre=system \
- --disable-fam
- make
-}
-
-check() {
- cd glib-$pkgver
- #make -k check || :
-}
-
-package_glib2() {
- depends=('pcre' 'libffi')
- optdepends=('python2: for gdbus-codegen and gtester-report'
- 'elfutils: gresource inspection tool')
- options=('!docs' '!emptydirs')
- license=('LGPL')
-
- cd glib-$pkgver
- make completiondir=/usr/share/bash-completion/completions DESTDIR="$pkgdir" install
-
- for _i in "$pkgdir/usr/share/bash-completion/completions/"*; do
- chmod -x "$_i"
- done
-
- # Our gdb does not ship the required python modules, so remove it
- rm -rf "$pkgdir/usr/share/gdb/"
-}
-
-package_glib2-docs() {
- pkgdesc="Documentation for glib2"
- conflicts=('gobject2-docs')
- replaces=('gobject2-docs')
- license=('custom')
- options=('docs' '!emptydirs')
-
- cd glib-$pkgver/docs
- make DESTDIR="${pkgdir}" install
- install -m755 -d "${pkgdir}/usr/share/licenses/glib2-docs"
- install -m644 reference/COPYING "${pkgdir}/usr/share/licenses/glib2-docs/"
-
- rm -rf "${pkgdir}/usr/share/man"
-}
Copied: glib2/repos/gnome-unstable-i686/PKGBUILD (from rev 247176, glib2/trunk/PKGBUILD)
===================================================================
--- gnome-unstable-i686/PKGBUILD (rev 0)
+++ gnome-unstable-i686/PKGBUILD 2015-09-23 21:26:44 UTC (rev 247177)
@@ -0,0 +1,70 @@
+# $Id$
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+
+pkgbase=glib2
+pkgname=(glib2 glib2-docs)
+pkgver=2.46.0
+pkgrel=2
+pkgdesc="Common C routines used by GTK+ and other libs"
+url="http://www.gtk.org/"
+arch=(i686 x86_64)
+makedepends=('pkg-config' 'python2' 'libxslt' 'docbook-xml' 'pcre' 'libffi' 'elfutils')
+source=(http://ftp.gnome.org/pub/GNOME/sources/glib/${pkgver:0:4}/glib-$pkgver.tar.xz
+ 0001-Revert-list-store-Fix-a-parameter-check.patch
+ revert-warn-glib-compile-schemas.patch)
+sha256sums=('b1cee83469ae7d80f17c267c37f090414e93960bd62d2b254a5a96fbc5baacb4'
+ '261ae2d2c7b94460f33ab569540313e21c9a50af38a7ebe8412e49f5b309af35'
+ '049240975cd2f1c88fbe7deb28af14d4ec7d2640495f7ca8980d873bb710cc97')
+
+prepare() {
+ cd glib-$pkgver
+ patch -Np1 -i ../0001-Revert-list-store-Fix-a-parameter-check.patch
+ patch -Rp1 -i ../revert-warn-glib-compile-schemas.patch
+}
+
+build() {
+ cd glib-$pkgver
+ PYTHON=/usr/bin/python2 ./configure --prefix=/usr --libdir=/usr/lib \
+ --sysconfdir=/etc \
+ --with-pcre=system \
+ --disable-fam
+ make
+}
+
+check() {
+ cd glib-$pkgver
+ #make -k check || :
+}
+
+package_glib2() {
+ depends=('pcre' 'libffi')
+ optdepends=('python2: for gdbus-codegen and gtester-report'
+ 'elfutils: gresource inspection tool')
+ options=('!docs' '!emptydirs')
+ license=('LGPL')
+
+ cd glib-$pkgver
+ make completiondir=/usr/share/bash-completion/completions DESTDIR="$pkgdir" install
+
+ for _i in "$pkgdir/usr/share/bash-completion/completions/"*; do
+ chmod -x "$_i"
+ done
+
+ # Our gdb does not ship the required python modules, so remove it
+ rm -rf "$pkgdir/usr/share/gdb/"
+}
+
+package_glib2-docs() {
+ pkgdesc="Documentation for glib2"
+ conflicts=('gobject2-docs')
+ replaces=('gobject2-docs')
+ license=('custom')
+ options=('docs' '!emptydirs')
+
+ cd glib-$pkgver/docs
+ make DESTDIR="${pkgdir}" install
+ install -m755 -d "${pkgdir}/usr/share/licenses/glib2-docs"
+ install -m644 reference/COPYING "${pkgdir}/usr/share/licenses/glib2-docs/"
+
+ rm -rf "${pkgdir}/usr/share/man"
+}
Deleted: gnome-unstable-i686/revert-warn-glib-compile-schemas.patch
===================================================================
--- gnome-unstable-i686/revert-warn-glib-compile-schemas.patch 2015-09-23 21:24:04 UTC (rev 247176)
+++ gnome-unstable-i686/revert-warn-glib-compile-schemas.patch 2015-09-23 21:26:44 UTC (rev 247177)
@@ -1,33 +0,0 @@
-From 6560b37450cd19c4a7c7b690e279fe97b7bfdcaa Mon Sep 17 00:00:00 2001
-From: Ryan Lortie <desrt at desrt.ca>
-Date: Thu, 12 Apr 2012 23:55:34 +0000
-Subject: glib-compile-schemas: warn about bad dconf paths
-
-For quite some time the recommended usage of GSettings and dconf has
-been to use paths like /org/gnome/example/. Use of /apps/ has spilled
-over from GConf and is continuing to make its way into a number of
-applications as they port.
-
-glib-compile-schemas will now warn about these types of paths being
-used. This generates a lot of noise, but hopefully it will reduce the
-number of ported applications making this mistake.
----
-diff --git a/gio/glib-compile-schemas.c b/gio/glib-compile-schemas.c
-index cf02389..27d0181 100644
---- a/gio/glib-compile-schemas.c
-+++ b/gio/glib-compile-schemas.c
-@@ -1204,6 +1204,12 @@ parse_state_start_schema (ParseState *state,
- return;
- }
-
-+ if (path && (g_str_has_prefix (path, "/apps/") ||
-+ g_str_has_prefix (path, "/desktop/") ||
-+ g_str_has_prefix (path, "/system/")))
-+ g_printerr ("warning: Schema '%s' has path '%s'. Paths starting with "
-+ "'/apps/', '/desktop/' or '/system/' are deprecated.\n", id, path);
-+
- state->schema_state = schema_state_new (path, gettext_domain,
- extends, extends_name, list_of);
-
---
-cgit v0.9.0.2
Copied: glib2/repos/gnome-unstable-i686/revert-warn-glib-compile-schemas.patch (from rev 247176, glib2/trunk/revert-warn-glib-compile-schemas.patch)
===================================================================
--- gnome-unstable-i686/revert-warn-glib-compile-schemas.patch (rev 0)
+++ gnome-unstable-i686/revert-warn-glib-compile-schemas.patch 2015-09-23 21:26:44 UTC (rev 247177)
@@ -0,0 +1,33 @@
+From 6560b37450cd19c4a7c7b690e279fe97b7bfdcaa Mon Sep 17 00:00:00 2001
+From: Ryan Lortie <desrt at desrt.ca>
+Date: Thu, 12 Apr 2012 23:55:34 +0000
+Subject: glib-compile-schemas: warn about bad dconf paths
+
+For quite some time the recommended usage of GSettings and dconf has
+been to use paths like /org/gnome/example/. Use of /apps/ has spilled
+over from GConf and is continuing to make its way into a number of
+applications as they port.
+
+glib-compile-schemas will now warn about these types of paths being
+used. This generates a lot of noise, but hopefully it will reduce the
+number of ported applications making this mistake.
+---
+diff --git a/gio/glib-compile-schemas.c b/gio/glib-compile-schemas.c
+index cf02389..27d0181 100644
+--- a/gio/glib-compile-schemas.c
++++ b/gio/glib-compile-schemas.c
+@@ -1204,6 +1204,12 @@ parse_state_start_schema (ParseState *state,
+ return;
+ }
+
++ if (path && (g_str_has_prefix (path, "/apps/") ||
++ g_str_has_prefix (path, "/desktop/") ||
++ g_str_has_prefix (path, "/system/")))
++ g_printerr ("warning: Schema '%s' has path '%s'. Paths starting with "
++ "'/apps/', '/desktop/' or '/system/' are deprecated.\n", id, path);
++
+ state->schema_state = schema_state_new (path, gettext_domain,
+ extends, extends_name, list_of);
+
+--
+cgit v0.9.0.2
Copied: glib2/repos/gnome-unstable-x86_64/0001-Revert-list-store-Fix-a-parameter-check.patch (from rev 247176, glib2/trunk/0001-Revert-list-store-Fix-a-parameter-check.patch)
===================================================================
--- gnome-unstable-x86_64/0001-Revert-list-store-Fix-a-parameter-check.patch (rev 0)
+++ gnome-unstable-x86_64/0001-Revert-list-store-Fix-a-parameter-check.patch 2015-09-23 21:26:44 UTC (rev 247177)
@@ -0,0 +1,74 @@
+From 19a560f9491c4964e7093e22cb3876fc53a442e6 Mon Sep 17 00:00:00 2001
+From: "Jan Alexander Steffens (heftig)" <jan.steffens at gmail.com>
+Date: Wed, 23 Sep 2015 23:16:04 +0200
+Subject: [PATCH] Revert "list store: Fix a parameter check"
+
+This reverts commit d28639507db2029b8f184a5d93e9d8c28acc1955.
+
+Bogus commit changing the behavior of g_sequence_search in violation
+of the documentation. Breaks GStreamer test suite.
+---
+ glib/gsequence.c | 18 +++++++-----------
+ 1 file changed, 7 insertions(+), 11 deletions(-)
+
+diff --git a/glib/gsequence.c b/glib/gsequence.c
+index 75c1f76..76e24e7 100644
+--- a/glib/gsequence.c
++++ b/glib/gsequence.c
+@@ -139,8 +139,7 @@ static GSequenceNode *node_find_closest (GSequenceNode *haystack,
+ GSequenceNode *needle,
+ GSequenceNode *end,
+ GSequenceIterCompareFunc cmp,
+- gpointer user_data,
+- gboolean return_match);
++ gpointer user_data);
+ static gint node_get_length (GSequenceNode *node);
+ static void node_free (GSequenceNode *node,
+ GSequence *seq);
+@@ -1080,7 +1079,7 @@ g_sequence_search_iter (GSequence *seq,
+ dummy = g_sequence_append (tmp_seq, data);
+
+ node = node_find_closest (seq->end_node, dummy,
+- seq->end_node, iter_cmp, cmp_data, TRUE);
++ seq->end_node, iter_cmp, cmp_data);
+
+ g_sequence_free (tmp_seq);
+
+@@ -1734,8 +1733,7 @@ node_find_closest (GSequenceNode *haystack,
+ GSequenceNode *needle,
+ GSequenceNode *end,
+ GSequenceIterCompareFunc iter_cmp,
+- gpointer cmp_data,
+- gboolean return_match)
++ gpointer cmp_data)
+ {
+ GSequenceNode *best;
+ gint c;
+@@ -1765,12 +1763,10 @@ node_find_closest (GSequenceNode *haystack,
+ }
+ while (haystack != NULL);
+
+- /* If the best node is smaller than the data, then move one step
+- * to the right to make sure the best one is strictly bigger than the data.
+- * We do return the last exact match or the node after it, depending on
+- * the return_match argument.
++ /* If the best node is smaller or equal to the data, then move one step
++ * to the right to make sure the best one is strictly bigger than the data
+ */
+- if (best != end && (c < 0 || (c == 0 && !return_match)))
++ if (best != end && c <= 0)
+ best = node_get_next (best);
+
+ return best;
+@@ -1992,7 +1988,7 @@ node_insert_sorted (GSequenceNode *node,
+ {
+ GSequenceNode *closest;
+
+- closest = node_find_closest (node, new, end, iter_cmp, cmp_data, FALSE);
++ closest = node_find_closest (node, new, end, iter_cmp, cmp_data);
+
+ node_unlink (new);
+
+--
+2.5.3
+
Deleted: gnome-unstable-x86_64/PKGBUILD
===================================================================
--- gnome-unstable-x86_64/PKGBUILD 2015-09-23 21:24:04 UTC (rev 247176)
+++ gnome-unstable-x86_64/PKGBUILD 2015-09-23 21:26:44 UTC (rev 247177)
@@ -1,67 +0,0 @@
-# $Id$
-# Maintainer: Jan de Groot <jgc at archlinux.org>
-
-pkgbase=glib2
-pkgname=(glib2 glib2-docs)
-pkgver=2.46.0
-pkgrel=1
-pkgdesc="Common C routines used by GTK+ and other libs"
-url="http://www.gtk.org/"
-arch=(i686 x86_64)
-makedepends=('pkg-config' 'python2' 'libxslt' 'docbook-xml' 'pcre' 'libffi' 'elfutils')
-source=(http://ftp.gnome.org/pub/GNOME/sources/glib/${pkgver:0:4}/glib-$pkgver.tar.xz
- revert-warn-glib-compile-schemas.patch)
-sha256sums=('b1cee83469ae7d80f17c267c37f090414e93960bd62d2b254a5a96fbc5baacb4'
- '049240975cd2f1c88fbe7deb28af14d4ec7d2640495f7ca8980d873bb710cc97')
-
-prepare() {
- cd glib-$pkgver
- patch -Rp1 -i ../revert-warn-glib-compile-schemas.patch
-}
-
-build() {
- cd glib-$pkgver
- PYTHON=/usr/bin/python2 ./configure --prefix=/usr --libdir=/usr/lib \
- --sysconfdir=/etc \
- --with-pcre=system \
- --disable-fam
- make
-}
-
-check() {
- cd glib-$pkgver
- #make -k check || :
-}
-
-package_glib2() {
- depends=('pcre' 'libffi')
- optdepends=('python2: for gdbus-codegen and gtester-report'
- 'elfutils: gresource inspection tool')
- options=('!docs' '!emptydirs')
- license=('LGPL')
-
- cd glib-$pkgver
- make completiondir=/usr/share/bash-completion/completions DESTDIR="$pkgdir" install
-
- for _i in "$pkgdir/usr/share/bash-completion/completions/"*; do
- chmod -x "$_i"
- done
-
- # Our gdb does not ship the required python modules, so remove it
- rm -rf "$pkgdir/usr/share/gdb/"
-}
-
-package_glib2-docs() {
- pkgdesc="Documentation for glib2"
- conflicts=('gobject2-docs')
- replaces=('gobject2-docs')
- license=('custom')
- options=('docs' '!emptydirs')
-
- cd glib-$pkgver/docs
- make DESTDIR="${pkgdir}" install
- install -m755 -d "${pkgdir}/usr/share/licenses/glib2-docs"
- install -m644 reference/COPYING "${pkgdir}/usr/share/licenses/glib2-docs/"
-
- rm -rf "${pkgdir}/usr/share/man"
-}
Copied: glib2/repos/gnome-unstable-x86_64/PKGBUILD (from rev 247176, glib2/trunk/PKGBUILD)
===================================================================
--- gnome-unstable-x86_64/PKGBUILD (rev 0)
+++ gnome-unstable-x86_64/PKGBUILD 2015-09-23 21:26:44 UTC (rev 247177)
@@ -0,0 +1,70 @@
+# $Id$
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+
+pkgbase=glib2
+pkgname=(glib2 glib2-docs)
+pkgver=2.46.0
+pkgrel=2
+pkgdesc="Common C routines used by GTK+ and other libs"
+url="http://www.gtk.org/"
+arch=(i686 x86_64)
+makedepends=('pkg-config' 'python2' 'libxslt' 'docbook-xml' 'pcre' 'libffi' 'elfutils')
+source=(http://ftp.gnome.org/pub/GNOME/sources/glib/${pkgver:0:4}/glib-$pkgver.tar.xz
+ 0001-Revert-list-store-Fix-a-parameter-check.patch
+ revert-warn-glib-compile-schemas.patch)
+sha256sums=('b1cee83469ae7d80f17c267c37f090414e93960bd62d2b254a5a96fbc5baacb4'
+ '261ae2d2c7b94460f33ab569540313e21c9a50af38a7ebe8412e49f5b309af35'
+ '049240975cd2f1c88fbe7deb28af14d4ec7d2640495f7ca8980d873bb710cc97')
+
+prepare() {
+ cd glib-$pkgver
+ patch -Np1 -i ../0001-Revert-list-store-Fix-a-parameter-check.patch
+ patch -Rp1 -i ../revert-warn-glib-compile-schemas.patch
+}
+
+build() {
+ cd glib-$pkgver
+ PYTHON=/usr/bin/python2 ./configure --prefix=/usr --libdir=/usr/lib \
+ --sysconfdir=/etc \
+ --with-pcre=system \
+ --disable-fam
+ make
+}
+
+check() {
+ cd glib-$pkgver
+ #make -k check || :
+}
+
+package_glib2() {
+ depends=('pcre' 'libffi')
+ optdepends=('python2: for gdbus-codegen and gtester-report'
+ 'elfutils: gresource inspection tool')
+ options=('!docs' '!emptydirs')
+ license=('LGPL')
+
+ cd glib-$pkgver
+ make completiondir=/usr/share/bash-completion/completions DESTDIR="$pkgdir" install
+
+ for _i in "$pkgdir/usr/share/bash-completion/completions/"*; do
+ chmod -x "$_i"
+ done
+
+ # Our gdb does not ship the required python modules, so remove it
+ rm -rf "$pkgdir/usr/share/gdb/"
+}
+
+package_glib2-docs() {
+ pkgdesc="Documentation for glib2"
+ conflicts=('gobject2-docs')
+ replaces=('gobject2-docs')
+ license=('custom')
+ options=('docs' '!emptydirs')
+
+ cd glib-$pkgver/docs
+ make DESTDIR="${pkgdir}" install
+ install -m755 -d "${pkgdir}/usr/share/licenses/glib2-docs"
+ install -m644 reference/COPYING "${pkgdir}/usr/share/licenses/glib2-docs/"
+
+ rm -rf "${pkgdir}/usr/share/man"
+}
Deleted: gnome-unstable-x86_64/revert-warn-glib-compile-schemas.patch
===================================================================
--- gnome-unstable-x86_64/revert-warn-glib-compile-schemas.patch 2015-09-23 21:24:04 UTC (rev 247176)
+++ gnome-unstable-x86_64/revert-warn-glib-compile-schemas.patch 2015-09-23 21:26:44 UTC (rev 247177)
@@ -1,33 +0,0 @@
-From 6560b37450cd19c4a7c7b690e279fe97b7bfdcaa Mon Sep 17 00:00:00 2001
-From: Ryan Lortie <desrt at desrt.ca>
-Date: Thu, 12 Apr 2012 23:55:34 +0000
-Subject: glib-compile-schemas: warn about bad dconf paths
-
-For quite some time the recommended usage of GSettings and dconf has
-been to use paths like /org/gnome/example/. Use of /apps/ has spilled
-over from GConf and is continuing to make its way into a number of
-applications as they port.
-
-glib-compile-schemas will now warn about these types of paths being
-used. This generates a lot of noise, but hopefully it will reduce the
-number of ported applications making this mistake.
----
-diff --git a/gio/glib-compile-schemas.c b/gio/glib-compile-schemas.c
-index cf02389..27d0181 100644
---- a/gio/glib-compile-schemas.c
-+++ b/gio/glib-compile-schemas.c
-@@ -1204,6 +1204,12 @@ parse_state_start_schema (ParseState *state,
- return;
- }
-
-+ if (path && (g_str_has_prefix (path, "/apps/") ||
-+ g_str_has_prefix (path, "/desktop/") ||
-+ g_str_has_prefix (path, "/system/")))
-+ g_printerr ("warning: Schema '%s' has path '%s'. Paths starting with "
-+ "'/apps/', '/desktop/' or '/system/' are deprecated.\n", id, path);
-+
- state->schema_state = schema_state_new (path, gettext_domain,
- extends, extends_name, list_of);
-
---
-cgit v0.9.0.2
Copied: glib2/repos/gnome-unstable-x86_64/revert-warn-glib-compile-schemas.patch (from rev 247176, glib2/trunk/revert-warn-glib-compile-schemas.patch)
===================================================================
--- gnome-unstable-x86_64/revert-warn-glib-compile-schemas.patch (rev 0)
+++ gnome-unstable-x86_64/revert-warn-glib-compile-schemas.patch 2015-09-23 21:26:44 UTC (rev 247177)
@@ -0,0 +1,33 @@
+From 6560b37450cd19c4a7c7b690e279fe97b7bfdcaa Mon Sep 17 00:00:00 2001
+From: Ryan Lortie <desrt at desrt.ca>
+Date: Thu, 12 Apr 2012 23:55:34 +0000
+Subject: glib-compile-schemas: warn about bad dconf paths
+
+For quite some time the recommended usage of GSettings and dconf has
+been to use paths like /org/gnome/example/. Use of /apps/ has spilled
+over from GConf and is continuing to make its way into a number of
+applications as they port.
+
+glib-compile-schemas will now warn about these types of paths being
+used. This generates a lot of noise, but hopefully it will reduce the
+number of ported applications making this mistake.
+---
+diff --git a/gio/glib-compile-schemas.c b/gio/glib-compile-schemas.c
+index cf02389..27d0181 100644
+--- a/gio/glib-compile-schemas.c
++++ b/gio/glib-compile-schemas.c
+@@ -1204,6 +1204,12 @@ parse_state_start_schema (ParseState *state,
+ return;
+ }
+
++ if (path && (g_str_has_prefix (path, "/apps/") ||
++ g_str_has_prefix (path, "/desktop/") ||
++ g_str_has_prefix (path, "/system/")))
++ g_printerr ("warning: Schema '%s' has path '%s'. Paths starting with "
++ "'/apps/', '/desktop/' or '/system/' are deprecated.\n", id, path);
++
+ state->schema_state = schema_state_new (path, gettext_domain,
+ extends, extends_name, list_of);
+
+--
+cgit v0.9.0.2
More information about the arch-commits
mailing list